function [binSequence ] = nuc2bin(varSequence, option)
% option 1 : convert to complement
%        2 : convert to bit sequence
%        3 : convert the complement to bit sequence 

% sequence = varSequence;

if nargin <2
% set default here
    option = 2;
end

varLength = size(varSequence,2);

% fprintf(1,'Size of input sequence is : %d\n', varLength);

if option ==1
%     convert to complement
    
    for i=1:varLength

        if (varSequence(i)=='A')  || (varSequence(i)=='a') 
            binSequence(i) = 'T';
        elseif(varSequence(i)=='T')  || (varSequence(i)=='t')
            binSequence(i) = 'A';
        elseif(varSequence(i)=='C')  || (varSequence(i)=='c')
            binSequence(i) = 'G';
        elseif(varSequence(i)=='G')  || (varSequence(i)=='g')
            binSequence(i) = 'C';
        else
            disp('Characters outside {A,T,C,G}');
        end
    end
    
elseif option ==2
    i=1;
   while (i <= varLength)
       j=2*i-1;

        if (varSequence(i)=='A') || (varSequence(i)=='a')
            binSequence(j) = '0';
            binSequence(j+1) = '0';

        elseif(varSequence(i)=='T')  || (varSequence(i)=='t')
            binSequence(j) = '1';
            binSequence(j+1) = '0';
            
        elseif(varSequence(i)=='C')  || (varSequence(i)=='c')
            binSequence(j) = '0';
            binSequence(j+1) = '1';
            
        elseif(varSequence(i)=='G')  || (varSequence(i)=='g')
            binSequence(j) = '1';
            binSequence(j+1) = '1';
        else
            disp('Characters outside {A,T,C,G}');
        end
        i = i+1;
   end  
elseif option==3
    
   i=1;
   while(i<=varLength)
       j=2*i-1;

        if (varSequence(i)=='A')   || (varSequence(i)=='a')
            binSequence(j) = '1';
            binSequence(j+1) = '0';
        elseif(varSequence(i)=='T')  || (varSequence(i)=='t')
            binSequence(j) = '0';
            binSequence(j+1) = '0';
        elseif(varSequence(i)=='C')  || (varSequence(i)=='c')
            binSequence(j) = '1';
            binSequence(j+1) = '1';
        elseif(varSequence(i)=='G')  || (varSequence(i)=='g')
            binSequence(j) = '0';
            binSequence(j+1) = '1';
        else
            disp('Characters outside {A,T,C,G}');
        end
        i=i+1;
    end
end


    
end